<?php

/**
 * iCall - Joomla Template
 *
 * @package bt_icall
 * @version 1.0
 * @copyright BonusThemes.com 2009
 * @link http://www.bonusthemes.com/goto/bt_icall
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

require_once(dirname(__FILE__) . '/template.inc.php');
global $tpl;

$cmenu_css = $tpl->show_menu ? '<link href="' . $tpl->path . '/css/cmenu.css" rel="stylesheet" type="text/css" />' . "\n" : '';
$cmenu_js = $tpl->show_menu ? '<script type="text/javascript" src="' . $tpl->path . '/js/cmenu.js"></script>' . "\n" : '';

$top_gap = '<td class="top_gap" width="1%" nowrap="nowrap"> &nbsp; </td>' . "\n";
$m2_gap = '<td class="m2_gap" width="1%" nowrap="nowrap"> &nbsp; &nbsp; </td>' . "\n";
$main_tdgap = '<td width="1%" nowrap="nowrap">&nbsp; &nbsp;</td>' . "\n";

if ($tpl->show_menu)
	$cmenu_js .= '
<script type="text/javascript">
// <![CDATA[
document["cmenu_items"] = new Array();
' . $tpl->menu_js . '
// ]]>
</script>

';

echo '
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="' . $this->language . '" lang="' . $this->language . '" >
<head>

<jdoc:include type="head" />

<link href="' . $tpl->path . '/css/layout.css" rel="stylesheet" type="text/css" />
<link href="' . $tpl->path . '/css/template.css" rel="stylesheet" type="text/css" />
' . $cmenu_css . '

<style type="text/css">
.wrapper { width: ' . $tpl->width . 'px; }
</style>

<!--[if lt IE 8]>
<style type="text/css">
input#mod_search_searchword { top: -3px; }
</style>
<![endif]-->

<!--[if lt IE 7]>
<link href="' . $tpl->path . '/css/template_ie6.css" rel="stylesheet" type="text/css" />
<script type="text/javascript">
var blankImg = "' . $tpl->path . '/images/blank.gif";
</script>
<style type="text/css">
.pngfix { behavior: url(' . $tpl->path . '/js/iepngfix.htc); }
.pngfix_static { behavior: url(' . $tpl->path . '/js/iepngfix_static.htc); }
</style>
<![endif]-->

' . $cmenu_js . '

<script type="text/javascript" src="' . $tpl->path . '/js/template.js"></script>

';

echo '</head>' . "\n";

echo '<body>' . "\n";

if ($tpl->seocp)
	echo
'<div style="display:none">
' . $tpl->get_mainbody_pragma() . '
</div>
';

echo '
<div id="wrapper">
	<div id="r1"><div id="r1_wrapper" class="wrapper">
		<table cellspacing="0" cellpadding="0" width="100%">
			<tr>
				<td valign="top" width="1%" nowrap="nowrap">
' . $tpl->get_position('icon') . '
 				</td>
				<td><div class="header_gap"></div></td>
				<td valign="top">
' . $tpl->get_position('toolbar') . '
 				</td>
				<td><div class="header_gap"></div></td>
				<td valign="top" align="right">
';

if ($tpl->show_menu) {
	echo '
					<table cellspacing="0" cellpadding="0" align="right">
						<tr>
';

	for ($i = 0, $len = count($tpl->menu_head_tags); $i < $len; $i++) {
		$mi = &$tpl->menu_head_tags[$i];

		if ($i > 0)
			echo '							<td> &nbsp; &nbsp; </td>' . "\n";

		printf('
							<td class="cmenu_hd_%1$s_c" height="36" id="%2$s">%3$s%4$s</td>
',
			$mi->selection == 0 ? 'norm' : 'sel',
			$mi->head_id,
			$mi->full_link,
			empty($mi->sub_menu_items) ? '' : '<img src="' . $tpl->path . '/images/layout/menu_submenu.gif" alt="" />'
		);
	}

	echo '
						</tr>
					</table>
';
}
else {
	echo $tpl->get_position('header');
}

echo '
 				</td>
			</tr>
		</table>
	</div></div>

	<div id="r2"><div id="r2_wrapper" class="wrapper">
';

if ($tpl->modcount('top1') || $tpl->modcount('top2') || $tpl->modcount('top3') || $tpl->modcount('top4'))
	echo '
		<div id="spacer1"></div>
' . $tpl->get_positions(array('top1', 'top2', 'top3', 'top4'), '', true, false, '', $top_gap) . '
';

if ($tpl->modcount('top5') || $tpl->modcount('top6') || $tpl->modcount('top7') || $tpl->modcount('top8'))
	echo '
		<div id="spacer2"></div>
		<div class="back1">
			<div class="back1_vgap"></div>
' . $tpl->get_positions(array('top5', 'top6', 'top7', 'top8'), '', true, false, '', $top_gap) . '
		</div>
';

if ($tpl->modcount('top9') || $tpl->modcount('top10') || $tpl->modcount('top11') || $tpl->modcount('top12'))
	echo '
		<div id="spacer3"></div>
		<div class="back1">
			<div class="back1_vgap"></div>
			<div class="back2"><div class="back2_2">
				<div class="back2_vgap"></div>
' . $tpl->get_positions(array('top9', 'top10', 'top11', 'top12'), '', true, false, '', $top_gap) . '
			</div></div>
			<div class="back1_vgap"></div>
		</div>
';

echo '
		<div id="spacer4"></div>
	</div></div>
';

if ($tpl->modcount('breadcrumb') || $tpl->modcount('cpanel')) {
	echo '
	<div id="r3"><div id="r3_wrapper" class="wrapper">
		<table cellspacing="0" cellpadding="0" width="100%">
			<tr>
';

	if ($tpl->modcount('breadcrumb'))
		echo '
				<td valign="top">
					<div id="pathway">
						<a href="' . $tpl->get_home() . '" onfocus="blur()"><img id="pathway_home" src="' . $tpl->path . '/images/layout/home.gif" alt="Home" border="0" align="left" /></a>
						<span id="pathway_notice">' . $tpl->str('You are here:') . ' </span>
' . $tpl->get_pathway() . '
					</div>
				</td>
';

	if ($tpl->modcount('cpanel'))
		echo '
				<td valign="top" align="right">
' . $tpl->get_position('cpanel') . '
				</td>
';

	echo '
			</tr>
		</table>
		<div id="spacer5"></div>
	</div></div>
';
}

echo '
	<div id="r4"><div id="r4_wrapper" class="wrapper">
';

if ($tpl->modcount('left_up') || $tpl->modcount('left_slide') || $tpl->modcount('left') || $tpl->modcount('right_up') || $tpl->modcount('right_slide') || $tpl->modcount('right'))
	echo '
		<table cellspacing="0" cellpadding="0" width="100%">
			<tr>
';

if ($tpl->modcount('left_up') || $tpl->modcount('left_slide') || $tpl->modcount('left'))
	echo '
				<td valign="top">
' . $tpl->get_position('left_up') . '
' . ($tpl->modcount('left_slide') ? '<div id="left_slide_container"></div><div class="spacer_side"></div>' : '') . '
' . $tpl->get_position('left') . '
				</td>
				' . $main_tdgap;

if ($tpl->modcount('left_up') || $tpl->modcount('left_slide') || $tpl->modcount('left') || $tpl->modcount('right_up') || $tpl->modcount('right_slide') || $tpl->modcount('right'))
	echo '
				<td valign="top">
';

echo '
		<div class="back1">
			<div class="back1_vgap"></div>
' . $tpl->get_positions(array('newsflash'), 'spacer6');

if ($tpl->modcount('news1') || $tpl->modcount('news2') || $tpl->modcount('news3'))
	echo '
		<div class="back2"><div class="back2_2">
			<div class="back2_vgap"></div>
' . $tpl->get_positions(array('news1', 'news2', 'news3'), '', true, true, '', $m2_gap) . '
			<div class="back2_vgap"></div>
		</div></div>
		<div id="spacer7"></div>
';

if ($tpl->show_body)
	echo '
		<div class="back2"><div class="back2_2">
			<div class="back2_vgap"></div>
' . $tpl->get_message()
. $tpl->get_mainbody_wrapper() . '
			<div class="back2_vgap"></div>
		</div></div>
';

if ($tpl->modcount('notice1') || $tpl->modcount('notice2') || $tpl->modcount('notice3'))
	echo '
		<div id="spacer8"></div>
		<div class="back2"><div class="back2_2">
			<div class="back2_vgap"></div>
' . $tpl->get_positions(array('notice1', 'notice2', 'notice3'), '', true, true, '', $m2_gap) . '
			<div class="back2_vgap"></div>
		</div></div>
';

echo $tpl->get_positions(array('banner'), 'spacer9', false)
. '
			<div class="back1_vgap"></div>
		</div>
';

if ($tpl->modcount('left_up') || $tpl->modcount('left_slide') || $tpl->modcount('left') || $tpl->modcount('right_up') || $tpl->modcount('right_slide') || $tpl->modcount('right'))
	echo '
				</td>
';

if ($tpl->modcount('right_up') || $tpl->modcount('right_slide') || $tpl->modcount('right'))
	echo '
				' . $main_tdgap . '
				<td valign="top">
' . $tpl->get_position('right_up') . '
' . ($tpl->modcount('right_slide') ? '<div id="right_slide_container"></div><div class="spacer_side"></div>' : '') . '
' . $tpl->get_position('right') . '
				</td>
';

if ($tpl->modcount('left_up') || $tpl->modcount('left_slide') || $tpl->modcount('left') || $tpl->modcount('right_up') || $tpl->modcount('right_slide') || $tpl->modcount('right'))
	echo '
			</tr>
		</table>
';

echo '
		<div id="spacer10"></div>
	</div></div>

	<div id="r5"><div id="r5_wrapper" class="wrapper">
		<table cellspacing="0" cellpadding="0" width="100%">
			<tr>
				<td valign="top" width="1%" nowrap="nowrap">
' . $tpl->get_position('inset1') . '
 				</td>
				<td><div class="inset_gap"></div></td>
				<td valign="top">
' . $tpl->get_position('inset2') . '
 				</td>
				<td><div class="inset_gap"></div></td>
				<td valign="top" align="right">
					<a href="javascript:void(0)" onfocus="blur()" onclick="goto_top()"><img id="goto_top_img" src="' . $tpl->path . '/images/layout/goto_top.gif" alt="Top" border="0" /></a>
 				</td>
			</tr>
		</table>
	</div></div>

	<div id="r6" class="dark"><div id="r6_wrapper" class="wrapper">
';

if ($tpl->modcount('bottom1') || $tpl->modcount('bottom2') || $tpl->modcount('bottom3') || $tpl->modcount('bottom4'))
	echo '
		<div id="spacer11"></div>
' . $tpl->get_positions(array('bottom1', 'bottom2', 'bottom3', 'bottom4'), '', true, false, '', '<td class="bottom_gap" width="1%" nowrap="nowrap"> &nbsp; </td>') . '
		<div id="spacer12"></div>
';

echo '
	</div></div>

	<div id="r7"></div>

	<div id="r8" class="dark"><div id="r8_wrapper" class="wrapper">
		<div id="spacer13"></div>
		<table cellspacing="0" cellpadding="0" width="100%">
			<tr>
';

echo ' <div class="headerbody"><a target="_blank" title="joomla templates" href="http://joomla-temp.ru">templates joomla 1.5</a></div>



				<td><div class="footer_gap"></div></td>
				<td valign="top">
' . $tpl->get_position('footer1') . '
				</td>
				<td><div class="footer_gap"></div></td>
				<td valign="top" align="center">
' . $tpl->get_position('footer2') . '
				</td>
				<td><div class="footer_gap"></div></td>
				<td valign="top" align="right">
' . $tpl->get_position('footer3') . '
				</td>
			</tr>
		</table>
		<div id="spacer14"></div>
	</div></div>
</div>
';

foreach (array('left_slide', 'right_slide', 'aux1', 'aux2', 'aux3', 'aux4', 'aux5') as $position)
	echo $tpl->get_hidden_position($position);

echo $tpl->get_debug();

echo '
</body>
</html>
';

?>